airflow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frank Maritato <fmarit...@opentable.com>
Subject Re: [External] RE: DummyOperator error in 1.10.4
Date Wed, 07 Aug 2019 17:02:47 GMT
Hi Damian,

Yep, looks like I mistakenly issued the backfill command from an airflow
1.10.3 installation to my container running 1.10.4 :(

Thanks!

On Wed, Aug 7, 2019 at 9:54 AM Shaw, Damian P. <
damian.shaw.2@credit-suisse.com> wrote:

> Hi,
>
> I'm not an Airflow expert and I've not had time to test this myself but
> poking around in the code it appears BaseOperator has a new parameter
> "do_xcom_push":
> https://github.com/apache/airflow/blob/master/airflow/models/baseoperator.py
>
> Whereas the old BaseOperator did not have this:
> https://github.com/apache/airflow/blob/16d93c9e45e14179c7822fed248743f0c3fd935c/airflow/models/__init__.py#L1938
>
> As all Operators and Sensors inherit from BaseOperator it would appear
> your DummyOperator object is coming from Airflow 1.10.3 or lower
> environment but you're running it in an Airflow 1.10.4 environment.
>
> Could this be the case?
>
> Da,oam
>
> -----Original Message-----
> From: Frank Maritato [mailto:fmaritato@opentable.com]
> Sent: Wednesday, August 07, 2019 12:27 PM
> To: dev@airflow.apache.org
> Subject: DummyOperator error in 1.10.4
>
> Hi All,
>
> I'm testing my dags in airflow 1.10.4 and I ran across this error:
>
> [2019-08-07 16:13:09,712] {taskinstance.py:1047} ERROR -
> 'DummyOperator' object has no attribute 'do_xcom_push'
> Traceback (most recent call last):
>   File
> "/opt/conda/lib/python3.7/site-packages/airflow/models/taskinstance.py",
> line 925, in _run_raw_task
>     if task_copy.do_xcom_push and result is not None:
> AttributeError: 'DummyOperator' object has no attribute 'do_xcom_push'
> [2019-08-07 16:13:09,713] {taskinstance.py:1078} INFO - Marking task as
> FAILED.
>
>
> Is this a misconfiguration on my side?  This definitely worked in 1.10.3
>
> start = DummyOperator(
>         dag=dag,
>         task_id='process_start'
>         )
>
> Also, a note, I had to explicitly add werkzeug==0.15.0 to my docker
> container requirements.txt file in order for 1.10.4 to work at all.
>
> Thanks!
> --
> Frank Maritato
>
>
> ===============================================================================
>
> Please access the attached hyperlink for an important electronic
> communications disclaimer:
> http://www.credit-suisse.com/legal/en/disclaimer_email_ib.html
> ===============================================================================
>
>


-- 
Frank Maritato

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message